//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Transaction
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Transaction()
        {
            this.Checks = new HashSet<Check>();
            this.Checks1 = new HashSet<Check>();
            this.Checks2 = new HashSet<Check>();
            this.TransactionDetails = new HashSet<TransactionDetail>();
        }
    
        public int TransactionId { get; set; }
        public Nullable<int> AccountId { get; set; }
        public Nullable<int> PurchaseId { get; set; }
        public Nullable<int> OrderId { get; set; }
        public int TransactionTypeId { get; set; }
        public int TransactionCategoryId { get; set; }
        public int CurrencyId { get; set; }
        public System.DateTime Date { get; set; }
        public decimal Amount { get; set; }
        public string Observations { get; set; }
        public System.DateTime Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public Nullable<int> CustomerId { get; set; }
        public Nullable<int> SupplierId { get; set; }
        public Nullable<int> RmaItemId { get; set; }
        public Nullable<int> DeliveryOrderId { get; set; }
        public Nullable<int> RefundId { get; set; }
        public Nullable<int> ExchangeId { get; set; }
    
        public virtual Accounting Accounting { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Check> Checks { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Check> Checks1 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Check> Checks2 { get; set; }
        public virtual Currency Currency { get; set; }
        public virtual Customer Customer { get; set; }
        public virtual DeliveryOrder DeliveryOrder { get; set; }
        public virtual Exchange Exchange { get; set; }
        public virtual Order Order { get; set; }
        public virtual Purchase Purchase { get; set; }
        public virtual Refund Refund { get; set; }
        public virtual RmaItem RmaItem { get; set; }
        public virtual TransactionCategory TransactionCategory { get; set; }
        public virtual TransactionType TransactionType { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<TransactionDetail> TransactionDetails { get; set; }
    }
}
